Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IXP425 DMA Types (IxDmaTypes) The common set of types used in the DMA component. More...
## Enumerations
enum | IxDmaReturnStatus { IX_DMA_SUCCESS, IX_DMA_FAIL, IX_DMA_INVALID_TRANSFER_WIDTH, IX_DMA_INVALID_TRANSFER_LENGTH, IX_DMA_INVALID_TRANSFER_MODE, IX_DMA_INVALID_ADDRESS_MODE, IX_DMA_REQUEST_FIFO_FULL }
| Dma return status definitions. More...
enum | IxDmaTransferMode { IX_DMA_COPY_CLEAR, IX_DMA_COPY, IX_DMA_COPY_BYTE_SWAP, IX_DMA_COPY_REVERSE, IX_DMA_TRANSFER_MODE_INVALID }
| Dma transfer mode definitions. More...
enum | IxDmaAddressingMode { IX_DMA_INC_SRC_INC_DST, IX_DMA_INC_SRC_FIX_DST, IX_DMA_FIX_SRC_INC_DST, IX_DMA_FIX_SRC_FIX_DST, IX_DMA_ADDRESSING_MODE_INVALID }
| Dma addressing mode definitions. More...
enum | IxDmaTransferWidth { IX_DMA_32_SRC_32_DST, IX_DMA_32_SRC_16_DST, IX_DMA_32_SRC_8_DST, IX_DMA_16_SRC_32_DST, IX_DMA_16_SRC_16_DST, IX_DMA_16_SRC_8_DST, IX_DMA_8_SRC_32_DST, IX_DMA_8_SRC_16_DST, IX_DMA_8_SRC_8_DST, IX_DMA_8_SRC_BURST_DST, IX_DMA_16_SRC_BURST_DST, IX_DMA_32_SRC_BURST_DST, IX_DMA_BURST_SRC_8_DST, IX_DMA_BURST_SRC_16_DST, IX_DMA_BURST_SRC_32_DST, IX_DMA_BURST_SRC_BURST_DST, IX_DMA_TRANSFER_WIDTH_INVALID }
| Dma transfer width definitions Fixed addresses (either source or destination) do not support burst transfer width. More...
enum | IxDmaNpeId { IX_DMA_NPEID_NPEA, IX_DMA_NPEID_NPEB, IX_DMA_NPEID_NPEC, IX_DMA_NPEID_MAX }
| NpeId numbers to identify NPE A, B or C. More...
## Detailed Description The common set of types used in the DMA component. ## Enumeration Type Documentation
enum IxDmaAddressingMode
  | Dma addressing mode definitions. Note: Fixed source address to fixed destination address addressing mode is not supported. Enumeration values:
  IX_DMA_INC_SRC_INC_DST | Incremental source address to incremental destination address.
  IX_DMA_INC_SRC_FIX_DST | Incremental source address to incremental destination address.
  IX_DMA_FIX_SRC_INC_DST | Incremental source address to incremental destination address.
  IX_DMA_FIX_SRC_FIX_DST | Incremental source address to incremental destination address.
  IX_DMA_ADDRESSING_MODE_INVALID | Invalid Addressing Mode.
Definition at line 107 of file IxDmaAcc.h.
enum IxDmaNpeId
  | NpeId numbers to identify NPE A, B or C. Enumeration values:
  IX_DMA_NPEID_NPEA | Identifies NPE A.
  IX_DMA_NPEID_NPEB | Identifies NPE B.
  IX_DMA_NPEID_NPEC | Identifies NPE C.
  IX_DMA_NPEID_MAX | Total Number of NPEs.
Definition at line 149 of file IxDmaAcc.h.
enum IxDmaReturnStatus
  | Dma return status definitions. Enumeration values:
  IX_DMA_SUCCESS | DMA Transfer Success.
  IX_DMA_FAIL | DMA Transfer Fail.
  IX_DMA_INVALID_TRANSFER_WIDTH | Invalid transfer width.
  IX_DMA_INVALID_TRANSFER_LENGTH | Invalid transfer length.
  IX_DMA_INVALID_TRANSFER_MODE | Invalid transfer mode.
  IX_DMA_INVALID_ADDRESS_MODE | Invalid address mode.
  IX_DMA_REQUEST_FIFO_FULL | DMA request queue is full.
Definition at line 75 of file IxDmaAcc.h.
enum IxDmaTransferMode
  | Dma transfer mode definitions. Note: Copy and byte swap, and copy and reverse modes only support multiples of word data length. Enumeration values:
  IX_DMA_COPY_CLEAR | copy and clear source
  IX_DMA_COPY | copy
  IX_DMA_COPY_BYTE_SWAP | copy and byte swap (endian)
  IX_DMA_COPY_REVERSE | copy and reverse
  IX_DMA_TRANSFER_MODE_INVALID | Invalid transfer mode.
Definition at line 92 of file IxDmaAcc.h.
enum IxDmaTransferWidth
  | Dma transfer width definitions Fixed addresses (either source or destination) do not support burst transfer width. Enumeration values:
  IX_DMA_32_SRC_32_DST | 32-bit src to 32-bit dst
  IX_DMA_32_SRC_16_DST | 32-bit src to 16-bit dst
  IX_DMA_32_SRC_8_DST | 32-bit src to 8-bit dst
  IX_DMA_16_SRC_32_DST | 16-bit src to 32-bit dst
  IX_DMA_16_SRC_16_DST | 16-bit src to 16-bit dst
  IX_DMA_16_SRC_8_DST | 16-bit src to 8-bit dst
  IX_DMA_8_SRC_32_DST | 8-bit src to 32-bit dst
  IX_DMA_8_SRC_16_DST | 8-bit src to 16-bit dst
  IX_DMA_8_SRC_8_DST | 8-bit src to 8-bit dst
  IX_DMA_8_SRC_BURST_DST | 8-bit src to burst dst - Not supported for fixed destination address
  IX_DMA_16_SRC_BURST_DST | 16-bit src to burst dst - Not supported for fixed destination address
  IX_DMA_32_SRC_BURST_DST | 32-bit src to burst dst - Not supported for fixed destination address
  IX_DMA_BURST_SRC_8_DST | burst src to 8-bit dst - Not supported for fixed source address
  IX_DMA_BURST_SRC_16_DST | burst src to 16-bit dst - Not supported for fixed source address
  IX_DMA_BURST_SRC_32_DST | burst src to 32-bit dst - Not supported for fixed source address
  IX_DMA_BURST_SRC_BURST_DST | burst src to burst dst - Not supported for fixed source and destination address
  IX_DMA_TRANSFER_WIDTH_INVALID | Invalid transfer width.
Definition at line 122 of file IxDmaAcc.h.
Automatically generated from sources. © Intel Corp. 2003